Name:           maven-idea-plugin
Version:        2.2.1
Release:        %mkrel 9
Summary:        Maven IDEA Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/%{name}
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-idea-plugin-2.2.1
# tar caf maven-idea-plugin-2.2.1.tar.xz maven-idea-plugin-2.2.1
Source0:        %{name}-%{version}.tar.xz
Source1:        http://apache.org/licenses/LICENSE-2.0.txt

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The IDEA Plugin is used to generate files (ipr, iml, and iws) for a
project so you can work on it using the IDE, IntelliJ IDEA.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q 
cp %{SOURCE1} .
%pom_add_dep org.apache.maven:maven-compat

%build
# we skip test because even with binary mvn release these fail for
# various reasons.
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Mon May 15 2017 neoclust <neoclust> 2.2.1-9.mga6
+ Revision: 1101370
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.1-7.mga6
+ Revision: 977322
- First rebuild of the java stack
- sync package maven-idea-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.2.1-1.mga5
+ Revision: 807813
- Update BuildRequires
- Sync with Fedora 21 (update to 2.2.1)

* Tue Dec 30 2014 daviddavid <daviddavid> 2.2-16.mga5
+ Revision: 807395
- sync with fc21
- add missing BuildRequires on maven-plugin-plugin

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 2.2-13.mga4
+ Revision: 560619
- Clean spec file
- Own main dir

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2-10.mga4
+ Revision: 453719
- Build with xmvn

* Mon Jul 08 2013 dmorgan <dmorgan> 2.2-9.mga4
+ Revision: 451171
- Add license text to packages (rhbz #879379)

* Sat Jan 12 2013 umeabot <umeabot> 2.2-7.mga3
+ Revision: 359640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 2.2-6.mga3
+ Revision: 264021
- Fix working in pure maven 3 environment.

* Fri Jul 22 2011 dmorgan <dmorgan> 2.2-5.mga2
+ Revision: 127887
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-4.mga1
+ Revision: 92703
- Rebuild after bootstrapping
- imported package maven-idea-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-2
- Add dom4j to BRs

* Fri May 28 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-1
- Initial package
